Webhooks
Update Subscription (Legacy)
Updates an existing webhook subscription. All fields are optional.
Endpoint: (PATCH) https://api.lusha.com/api/subscriptions/{id}
Reactivating Disabled Subscriptions:
When setting isActive: true on a previously disabled subscription, the system automatically:
- Clears the
blockReasonfield - Clears the
blockedAttimestamp - Resets the retry counter
Regenerating Secrets:
Set regenerateSecret: true to generate a new webhook secret. The new secret:
- Affects all subscriptions for your account
- Is only shown once in the response
- Immediately invalidates the old secret
PATCH
/
api
/
subscriptions
/
{id}
curl --request PATCH \
--url https://api.lusha.com/api/subscriptions/{id} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"isActive": false
}
'{
"id": "507f1f77bcf86cd799439011",
"entityType": "contact",
"entityId": "123456",
"signalTypes": [
"promotion",
"companyChange"
],
"url": "https://example.com/webhooks/lusha",
"name": "Contact Promotion Tracker",
"isActive": true,
"secret": "whsec_abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
"createdAt": "2026-01-14T10:00:00.000Z",
"updatedAt": "2026-01-14T10:00:00.000Z"
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 404,
"message": "Resource not found"
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}Authorizations
Body
application/json
Response
Subscription updated successfully
Was this page helpful?
⌘I
curl --request PATCH \
--url https://api.lusha.com/api/subscriptions/{id} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"isActive": false
}
'{
"id": "507f1f77bcf86cd799439011",
"entityType": "contact",
"entityId": "123456",
"signalTypes": [
"promotion",
"companyChange"
],
"url": "https://example.com/webhooks/lusha",
"name": "Contact Promotion Tracker",
"isActive": true,
"secret": "whsec_abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
"createdAt": "2026-01-14T10:00:00.000Z",
"updatedAt": "2026-01-14T10:00:00.000Z"
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 404,
"message": "Resource not found"
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}